Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Server_Info Class Reference

Information about IMR registered servers. More...

`#include <Server_Info.h>`

Collaboration diagram for Server_Info:

[legend]
List of all members.

## Public Methods
| Server_Info (const ACE_CString POA_name, const ACE_CString logical_server_name, const ACE_CString startup_command, const ImplementationRepository::EnvironmentList environment_vars, const ACE_CString working_dir, const ImplementationRepository::ActivationMode activation)
| Initialize the command_line and working_dir. More...
| ~Server_Info (void)
| The only destructor there is. More...
void | update_running_info (const ACE_CString location, const ACE_CString server_object_ior)
| Updates information that is relevant only when an instance of the server is running. More...
void | get_startup_info (ACE_CString &logical_server_name, ACE_CString &startup_command, ImplementationRepository::EnvironmentList &environment_vars, ACE_CString &working_dir, ImplementationRepository::ActivationMode &activation)
| Returns startup information. More...
void | get_running_info (ACE_CString &location, ACE_CString &server_object_ior)
| Returns information about a running instance. More...
## Public Attributes
int | starting_up_
| This is a flag to determine if the process has already been spawned and we are just waiting for it to start up. More...
## Private Methods
void | operator= (Server_Info &)
| Server_Info (Server_Info &)
## Private Attributes
ACE_CString | logical_server_name_
| Which server process this poa is grouped in. More...
ACE_CString | POA_name_
| The name of the POA. More...
ACE_CString | startup_command_
| The command line startup command (program and arguments). More...
ImplementationRepository::EnvironmentList | environment_vars_
| Environment Variables. More...
ACE_CString | working_dir_
| The working directory. More...
ACE_CString | location_
| Current endpoint used by the server. More...
ACE_CString | server_object_ior_
| IOR of the server object in the server. More...
ImplementationRepository::ActivationMode | activation_
| The type of activation this supports. More...

## Detailed Description

Information about IMR registered servers.

Contains all the necessary information about the server including Information on how to start it up and where it is running.

## Constructor & Destructor Documentation

Server_Info::Server_Info | ( | const ACE_CString | POA_name,
|  | const ACE_CString | logical_server_name,
|  | const ACE_CString | startup_command,
|  | const ImplementationRepository::EnvironmentList | environment_vars,
|  | const ACE_CString | working_dir,
|  | const ImplementationRepository::ActivationMode | activation
| ) |

| Initialize the command_line and working_dir.

Server_Info::~Server_Info | ( | void |  | ) |

| The only destructor there is.

Server_Info::Server_Info | ( | Server_Info & |  | ) | `[private]`

## Member Function Documentation

void Server_Info::get_running_info | ( | ACE_CString & | location,
|  | ACE_CString & | server_object_ior
| ) |

| Returns information about a running instance.

void Server_Info::get_startup_info | ( | ACE_CString & | logical_server_name,
|  | ACE_CString & | startup_command,
|  | ImplementationRepository::EnvironmentList & | environment_vars,
|  | ACE_CString & | working_dir,
|  | ImplementationRepository::ActivationMode & | activation
| ) |

| Returns startup information.

void Server_Info::operator= | ( | Server_Info & |  | ) | `[private]`

void Server_Info::update_running_info | ( | const ACE_CString | location,
|  | const ACE_CString | server_object_ior
| ) |

| Updates information that is relevant only when an instance of the server is running.

## Member Data Documentation

ImplementationRepository::ActivationMode Server_Info::activation_`[private]`

| The type of activation this supports.

ImplementationRepository::EnvironmentList Server_Info::environment_vars_`[private]`

| Environment Variables.

ACE_CString Server_Info::location_`[private]`

| Current endpoint used by the server.

ACE_CString Server_Info::logical_server_name_`[private]`

| Which server process this poa is grouped in.

ACE_CString Server_Info::POA_name_`[private]`

| The name of the POA.

ACE_CString Server_Info::server_object_ior_`[private]`

| IOR of the server object in the server.

int Server_Info::starting_up_

| This is a flag to determine if the process has already been spawned and we are just waiting for it to start up.

ACE_CString Server_Info::startup_command_`[private]`

| The command line startup command (program and arguments).

ACE_CString Server_Info::working_dir_`[private]`

| The working directory.

The documentation for this class was generated from the following files:

- Server_Info.h
- Server_Info.cpp